import TransactionService from './transaction.service'

export default {
  getVLANs(config) {
    const ta = [
      { name: 'nd.bcd.list', old: { is_own: true, sorting_params_list: ['name'] } },
      { name: 'nd.vlan.list', join: { 0: 'default' } }
    ]
    return TransactionService.execute(config, ta)
  },
  getLports(config, vlan) {
    const ta = [
      { name: 'nd.vlan.list', old: { global_pk: vlan.global_pk, fetch_limit: 1 } },
      { name: 'nd.vlan_egress.list', join: { 0: 'default' } },
      { name: 'nd.l_port.list', join: { 1: 'default' } },
      { name: 'nd.l2p_port.list', join: { 2: 'default' } },
      { name: 'nd.p_port.list', join: { 3: 'default' } }
    ]
    return TransactionService.execute(config, ta)
  }
}
