import TransactionService from './transaction.service'

export default {
  list (config, own) {
    const ta = [
      { name: 'nd.bcd.list', old: { is_own: own, sorting_params_list: ['name'] } }, // BCDs
      { name: 'macauth.client.list', join: { 0: 'default' } } // Clients
    ]
    return TransactionService.execute(config, ta)
  },
  get (config, own, bcd) {
    const ta = [
      { name: 'nd.bcd.list', old: { is_own: own, name: bcd, sorting_params_list: ['name'] } }, // BCDs
      { name: 'macauth.client.list', join: { 0: 'default' } } // Clients
    ]
    return TransactionService.execute(config, ta)
  }
}
